## org.eclipse.uml2.uml
Interface ElementImport

All Superinterfaces:
  DirectedRelationship, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Relationship

    public interface ElementImport

extends DirectedRelationship

A representation of the model object 'Element Import'. An element import identifies an element in another package, and allows the element to be referenced using its name without a qualifier.

The following features are supported:

- `Visibility`
- `Alias`
- `Imported Element`
- `Importing Namespace`

See Also:
  `UMLPackage.getElementImport()`

Method Summary
`java.lang.String` `getAlias()` Returns the value of the 'Alias' attribute
`PackageableElement` `getImportedElement()` Returns the value of the 'Imported Element' reference
`Namespace` `getImportingNamespace()` Returns the value of the 'Importing Namespace' container reference.
`java.lang.String` `getName()` The query getName() returns the name under which the imported PackageableElement will be known in the importing namespace.
`VisibilityKind` `getVisibility()` Returns the value of the 'Visibility' attribute.
`boolean` `isSetAlias()` Returns whether the value of the '`Alias`' attribute is set
`void` `setAlias(java.lang.String value)` Sets the value of the '`Alias`' attribute
`void` `setImportedElement(PackageableElement value)` Sets the value of the '`Imported Element`' reference
`void` `setImportingNamespace(Namespace value)` Sets the value of the '`Importing Namespace`' container reference
`void` `setVisibility(VisibilityKind value)` Sets the value of the '`Visibility`' attribute
`void` `unsetAlias()` Unsets the value of the '`Alias`' attribute
`boolean` `validateImportedElementIsPublic(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` An importedElement has either public visibility or no visibility at all.
`boolean` `validateVisibilityPublicOrPrivate(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The visibility of an ElementImport is either public or private.

Methods inherited from interface org.eclipse.uml2.uml.DirectedRelationship
`getSources, getTargets`

Methods inherited from interface org.eclipse.uml2.uml.Relationship
`getRelatedElements`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getVisibility

    VisibilityKind getVisibility()

  Returns the value of the 'Visibility' attribute. The default value is `"public"`. The literals are from the enumeration `VisibilityKind`. Specifies the visibility of the imported PackageableElement within the importing Package. The default visibility is the same as that of the imported element. If the imported element does not have a visibility, it is possible to add visibility to the element import.

  Returns:
    the value of the 'Visibility' attribute.
  See Also:
    `VisibilityKind`, `setVisibility(VisibilityKind)`, `UMLPackage.getElementImport_Visibility()`

### setVisibility

    void setVisibility(VisibilityKind value)

  Sets the value of the '`Visibility`' attribute.

  Parameters:
    `value` - the new value of the 'Visibility' attribute.
  See Also:
    `VisibilityKind`, `getVisibility()`

### getAlias

    java.lang.String getAlias()

  Returns the value of the 'Alias' attribute. Specifies the name that should be added to the namespace of the importing package in lieu of the name of the imported packagable element. The aliased name must not clash with any other member name in the importing package. By default, no alias is used.

  Returns:
    the value of the 'Alias' attribute.
  See Also:
    `isSetAlias()`, `unsetAlias()`, `setAlias(String)`, `UMLPackage.getElementImport_Alias()`

### setAlias

    void setAlias(java.lang.String value)

  Sets the value of the '`Alias`' attribute.

  Parameters:
    `value` - the new value of the 'Alias' attribute.
  See Also:
    `isSetAlias()`, `unsetAlias()`, `getAlias()`

### unsetAlias

    void unsetAlias()

  Unsets the value of the '`Alias`' attribute.

  See Also:
    `isSetAlias()`, `getAlias()`, `setAlias(String)`

### isSetAlias

    boolean isSetAlias()

  Returns whether the value of the '`Alias`' attribute is set.

  Returns:
    whether the value of the 'Alias' attribute is set.
  See Also:
    `unsetAlias()`, `getAlias()`, `setAlias(String)`

### getImportedElement

    PackageableElement getImportedElement()

  Returns the value of the 'Imported Element' reference. Specifies the PackageableElement whose name is to be added to a Namespace.

  Returns:
    the value of the 'Imported Element' reference.
  See Also:
    `setImportedElement(PackageableElement)`, `UMLPackage.getElementImport_ImportedElement()`

### setImportedElement

    void setImportedElement(PackageableElement value)

  Sets the value of the '`Imported Element`' reference.

  Parameters:
    `value` - the new value of the 'Imported Element' reference.
  See Also:
    `getImportedElement()`

### getImportingNamespace

    Namespace getImportingNamespace()

  Returns the value of the 'Importing Namespace' container reference. It is bidirectional and its opposite is '`Element Import`'. Specifies the Namespace that imports a PackageableElement from another Package.

  Returns:
    the value of the 'Importing Namespace' container reference.
  See Also:
    `setImportingNamespace(Namespace)`, `UMLPackage.getElementImport_ImportingNamespace()`, `Namespace.getElementImports()`

### setImportingNamespace

    void setImportingNamespace(Namespace value)

  Sets the value of the '`Importing Namespace`' container reference.

  Parameters:
    `value` - the new value of the 'Importing Namespace' container reference.
  See Also:
    `getImportingNamespace()`

### validateVisibilityPublicOrPrivate

    boolean validateVisibilityPublicOrPrivate(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map<java.lang.Object,java.lang.Object> context)

  The visibility of an ElementImport is either public or private. self.visibility = #public or self.visibility = #private

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateImportedElementIsPublic

    boolean validateImportedElementIsPublic(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

  An importedElement has either public visibility or no visibility at all. self.importedElement.visibility.notEmpty() implies self.importedElement.visibility = #public

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### getName

    java.lang.String getName()

  The query getName() returns the name under which the imported PackageableElement will be known in the importing namespace. result = if self.alias->notEmpty() then self.alias else self.importedElement.name endif

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.